<template>
  <v-card class="d-flex flex-column fill-height">
    <v-img :src="post.image" height="250px" max-height="250" contain />
    <v-card-title>
      {{ post.name }}
    </v-card-title>
    <v-spacer></v-spacer>
    <v-card-actions>
      <v-btn color="primary" block @click="$emit('read', post)">Читать</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Blog } from '@/static/blog/main';
import { Prop } from 'vue-property-decorator';

@Component({})
export default class BlogListItem extends Vue {
  @Prop({
    type: Object,
    required: true
  })
  private readonly post!: typeof Blog[0];
}
</script>

<style scoped></style>
